Debian Bug report logs - #546365
pu: package pmount/0.9.18-2+lenny1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Vincent Fourmond <fourmond@debian.org>

Date: Sat, 12 Sep 2009 19:57:01 UTC

Severity: normal

Tags: lenny

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#546365; Package release.debian.org. (Sat, 12 Sep 2009 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 12 Sep 2009 19:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package pmount/0.9.18-2+lenny1
Date: Sat, 12 Sep 2009 21:50:41 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

  Hello,

  pmount in stable suffers from a rather painful bug: it is useless
with all kernels with deprecated sysfs features disabled (see
#528404). This does not affect (yet) users of the stock kernel
(2.6.26), but affects any user that compiles their own more recent
kernels, and it will probably affect lenny-and-a-half too.

  A fix has been uploaded to squeeeze not long after lenny's release,
and it has been rather extensively tested; in particular, no security
flaws were found. An additional benefit is that it drops a dependency
on libsysfs.

  Would that be a suitable candidate for an upload to spu ?

  Many thanks,

       Vincent

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash
[pmount-lenny-proposed-update.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#546365; Package release.debian.org. (Mon, 12 Oct 2009 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 12 Oct 2009 23:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 546365@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: 546365@bugs.debian.org
Subject: What about uploading pmount to stable ?
Date: Tue, 13 Oct 2009 01:24:59 +0200
  Hello,

  It's been a month without any activity on this request yet. What time
is necessary to safely assume that the request has been refused ?

  Cheers,

	Vincent

-- 
Vincent Fourmond, Debian Developer
http://vince-debian.blogspot.com/

Donkey: No one told me I had the right to remain silent !
Shrek: You *have* the right to remain silent. What you lack is the capacity.
 -- Shrek 2

Vincent, not listening to anything for now




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#546365; Package release.debian.org. (Tue, 13 Oct 2009 08:27:07 GMT) Full text and rfc822 format available.

Message #13 received at 546365@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Vincent Fourmond <fourmond@debian.org>, 546365@bugs.debian.org
Subject: Re: Bug#546365: What about uploading pmount to stable ?
Date: Tue, 13 Oct 2009 10:23:37 +0200
[Message part 1 (text/plain, inline)]
On Tue, Oct 13, 2009 at 01:24:59AM +0200, Vincent Fourmond wrote:
>   It's been a month without any activity on this request yet. What time
> is necessary to safely assume that the request has been refused ?

Were those deprecated sysfs features dropped from the kernel or could they
still be activated even on newer ones, although they are disabled by
default?

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#546365; Package release.debian.org. (Tue, 13 Oct 2009 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 13 Oct 2009 11:12:03 GMT) Full text and rfc822 format available.

Message #18 received at 546365@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: 546365@bugs.debian.org
Subject: Re: Bug#546365: What about uploading pmount to stable ?
Date: Tue, 13 Oct 2009 11:50:47 +0100
  Hello,

On Tue, Oct 13, 2009 at 9:23 AM, Philipp Kern <pkern@debian.org> wrote:
> On Tue, Oct 13, 2009 at 01:24:59AM +0200, Vincent Fourmond wrote:
>>   It's been a month without any activity on this request yet. What time
>> is necessary to safely assume that the request has been refused ?
>
> Were those deprecated sysfs features dropped from the kernel or could they
> still be activated even on newer ones, although they are disabled by
> default?

  I'm unsure about the newer 2.6.30 kernel, but for 2.6.28/2.6.29,
they are simply disabled by default. They are also disabled on all
debian kernel images post-lenny. The thing is that pmount is for
end-users that will not know how to compile a kernel, and definitely
will not know where to look for the information in any case. That's
why I think it is important: pmount should work out-of-the-box on
updated kernel images for lenny and a half. What is better is that the
newer pmount makes much less strong assumptions about the sysfs
structure, which means that it will probably not get obsolescent too
quickly with respect to newer sysfs structures.

  Cheers,

      Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#546365; Package release.debian.org. (Tue, 13 Oct 2009 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 13 Oct 2009 13:12:03 GMT) Full text and rfc822 format available.

Message #23 received at 546365@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Philipp Kern <pkern@debian.org>, 546365@bugs.debian.org
Cc: Vincent Fourmond <fourmond@debian.org>
Subject: Re: Bug#546365: What about uploading pmount to stable ?
Date: Tue, 13 Oct 2009 15:02:58 +0200
[Message part 1 (text/plain, inline)]
On Oct 13, Philipp Kern <pkern@debian.org> wrote:

> Were those deprecated sysfs features dropped from the kernel or could they
> still be activated even on newer ones, although they are disabled by
> default?
This would probably break udev.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#546365; Package release.debian.org. (Tue, 13 Oct 2009 13:30:07 GMT) Full text and rfc822 format available.

Message #26 received at 546365@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Vincent Fourmond <fourmond@debian.org>
Cc: 546365@bugs.debian.org
Subject: Re: Bug#546365: What about uploading pmount to stable ?
Date: Tue, 13 Oct 2009 15:25:21 +0200
[Message part 1 (text/plain, inline)]
Hallo Vincent,

am Tue, Oct 13, 2009 at 11:50:47AM +0100 hast du folgendes geschrieben:
>   I'm unsure about the newer 2.6.30 kernel, but for 2.6.28/2.6.29,
> they are simply disabled by default. They are also disabled on all
> debian kernel images post-lenny. The thing is that pmount is for
> end-users that will not know how to compile a kernel, and definitely
> will not know where to look for the information in any case. That's
> why I think it is important: pmount should work out-of-the-box on
> updated kernel images for lenny and a half. What is better is that the
> newer pmount makes much less strong assumptions about the sysfs
> structure, which means that it will probably not get obsolescent too
> quickly with respect to newer sysfs structures.

however disabling those will also break other unrelated software.  Marco
already raised udev[1].  So it might be simply a requirement that you
turn that support on when you compile your own kernels and that it's
turned on in lenny-and-a-half (if that happens).  It's good to keep
in mind, though, thanks.  ;-)

I think if that patch (because it's a tad larger) gets sufficient testing
on stable we can do it, if it makes pmount more robust.  I just want to argue
that it's not strictly necessary because it's not a configuration that we
support.

Kind regards,
Philipp Kern

[1] Which might be kind of special anyway and in need for an upgrade for
    a newer kernel, I think.
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Added tag(s) lenny. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 02 Nov 2010 14:06:12 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 28 Feb 2011 18:51:05 GMT) Full text and rfc822 format available.

Notification sent to Vincent Fourmond <fourmond@debian.org>:
Bug acknowledged by developer. (Mon, 28 Feb 2011 18:51:05 GMT) Full text and rfc822 format available.

Message #33 received at 546365-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Philipp Kern <pkern@debian.org>, 546365-done@bugs.debian.org
Cc: Vincent Fourmond <fourmond@debian.org>
Subject: Re: Bug#546365: What about uploading pmount to stable ?
Date: Mon, 28 Feb 2011 19:47:34 +0100
On Tue, Oct 13, 2009 at 15:25:21 +0200, Philipp Kern wrote:

> Hallo Vincent,
> 
> am Tue, Oct 13, 2009 at 11:50:47AM +0100 hast du folgendes geschrieben:
> >   I'm unsure about the newer 2.6.30 kernel, but for 2.6.28/2.6.29,
> > they are simply disabled by default. They are also disabled on all
> > debian kernel images post-lenny. The thing is that pmount is for
> > end-users that will not know how to compile a kernel, and definitely
> > will not know where to look for the information in any case. That's
> > why I think it is important: pmount should work out-of-the-box on
> > updated kernel images for lenny and a half. What is better is that the
> > newer pmount makes much less strong assumptions about the sysfs
> > structure, which means that it will probably not get obsolescent too
> > quickly with respect to newer sysfs structures.
> 
> however disabling those will also break other unrelated software.  Marco
> already raised udev[1].  So it might be simply a requirement that you
> turn that support on when you compile your own kernels and that it's
> turned on in lenny-and-a-half (if that happens).  It's good to keep
> in mind, though, thanks.  ;-)
> 
> I think if that patch (because it's a tad larger) gets sufficient testing
> on stable we can do it, if it makes pmount more robust.  I just want to argue
> that it's not strictly necessary because it's not a configuration that we
> support.
> 
Probably not going to happen for lenny at this point?  Closing.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Mar 2011 07:40:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:08:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.